Bug 5388 - Не устанавливается браузер по-умолчанию
: Не устанавливается браузер по-умолчанию
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-13 19:11 MSD by Vladimir Potapov
Modified: 2015-04-20 11:10 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-04-13 19:11:41 MSD
http://forum.rosalab.ru/viewtopic.php?f=53&t=5490&p=42808#p42808

kreadconfig --group General --key BrowserApplication
!firefox


А должно быть firefox.desktop
Comment 1 Andrey Bondrov 2015-04-13 19:55:00 MSD
Advisory: "Make www-browser work with browsers defined as KDE commands (like !firefox), not only with desktop files (like firefox.desktop)"

https://abf.rosalinux.ru/build_lists/2490200
https://abf.rosalinux.ru/build_lists/2490201
Comment 2 Vladimir Potapov 2015-04-13 20:16:55 MSD
Попробовал пощелкать настройками изнутри браузеров. 
Теперь и хромиум, и файрфокс считают себя главными (при этом хромиум ошибается)

kreadconfig --group General --key BrowserApplication
firefox


xdg-settings get default-web-browser
firefox.desktop


xdg-settings set default-web-browser chromium-browser.desktop
xdg-mime: application argument missing
Try 'xdg-mime --help' for more information.


И с xdg что-то не так...
Comment 3 Vladimir Potapov 2015-04-14 17:52:15 MSD
The update is sent to expanded testing
**************************************
Comment 4 Vladimir Potapov 2015-04-20 10:34:34 MSD
desktop-common-data-2014.1-7
https://abf.rosalinux.ru/build_lists/2490200
https://abf.rosalinux.ru/build_lists/2490201
**************************** Advisory **********************************
Make www-browser work with browsers defined as KDE commands (like !firefox), not only with desktop files (like firefox.desktop)
************************************************************************
QA Verified